"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var SwitchSelector_styled_1 = require("./SwitchSelector.styled");
var classNamesPrefix = "react-switch-selector";
var SwitchSelector = function (props) {
    var _a = props.onChange, onChange = _a === void 0 ? function () { return null; } : _a, _b = props.options, options = _b === void 0 ? [] : _b, _c = props.initialSelectedIndex, initialSelectedIndex = _c === void 0 ? 0 : _c, _d = props.inputName, inputName = _d === void 0 ? "reactSwitchSelector" : _d;
    var _e = React.useState(initialSelectedIndex), selectedIndex = _e[0], setSelectedIndex = _e[1];
    var _f = props.border, border = _f === void 0 ? 0 : _f, _g = props.backgroundColor, backgroundColor = _g === void 0 ? "#ecf0f1" : _g, _h = props.selectedBackgroundColor, selectedBackgroundColor = _h === void 0 ? "#2ecc71" : _h, _j = props.wrapperBorderRadius, wrapperBorderRadius = _j === void 0 ? 20 : _j, _k = props.optionBorderRadius, optionBorderRadius = _k === void 0 ? 18 : _k, _l = props.fontSize, fontSize = _l === void 0 ? 14 : _l, _m = props.fontColor, fontColor = _m === void 0 ? "#000" : _m, _o = props.selectedFontColor, selectedFontColor = _o === void 0 ? "#fff" : _o;
    var handleOnClick = function (idx) {
        setSelectedIndex(idx);
        onChange(options[idx].value);
    };
    var renderOptions = function () {
        return options.map(function (option, idx) { return (React.createElement(SwitchSelector_styled_1.OptionItem, { key: idx, onClick: function () { return handleOnClick(idx); }, optionsAmount: options.length, className: classNamesPrefix + "-option", optionBorderRadius: optionBorderRadius },
            React.createElement(SwitchSelector_styled_1.OptionItemLabel, { selected: selectedIndex === idx, className: classNamesPrefix + "-option-label", fontSize: fontSize, fontColor: option.fontColor || fontColor, selectedFontColor: option.selectedFontColor || selectedFontColor }, option.label))); });
    };
    if (!options.length)
        return null;
    return (React.createElement(SwitchSelector_styled_1.SwitchSelectorWrapper, { selectedIndex: selectedIndex, optionsAmount: options.length, className: classNamesPrefix + "-wrapper", border: border, backgroundColor: backgroundColor, selectedBackgroundColor: options[selectedIndex].selectedBackgroundColor || selectedBackgroundColor, wrapperBorderRadius: wrapperBorderRadius, optionBorderRadius: optionBorderRadius },
        React.createElement("input", { value: options[selectedIndex].value || "", name: inputName, type: "hidden" }),
        renderOptions()));
};
exports.default = SwitchSelector;
//# sourceMappingURL=SwitchSelector.js.map